<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.resource-adapters.resource-adapter.admin-objects" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="class-name,enabled,jndi-name,use-java-context"/>
        <elem name="addr-params" value="profile,subsystem,resource-adapter,admin-objects"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.resource-adapters"/>
    </annotation>
    <refs>
        <ref feature="subsystem.resource-adapters.resource-adapter"/>
        <ref feature="subsystem.resource-adapters"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="use-java-context" nillable="true" stability="default"/>
        <param name="resource-adapter" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="resource-adapters"/>
        <param name="enabled" nillable="true" stability="default"/>
        <param name="admin-objects" feature-id="true"/>
        <param name="class-name" stability="default"/>
        <param name="jndi-name" stability="default"/>
    </params>
</feature-spec>